#include <iostream>

using namespace std;

int main()
{
    int a,n,setovi[5] = {0};
    cin >> n >> a;

    cout << 25 << " " << 7 << endl;
    cout << 12 << " " << 25 << endl;
    cout << 25 << " " << 23 << endl;
    cout << 25 << " " << 11 << endl;

    return 0;
}